Skip to main content
GET
/
api
/
pools
/
{poolId}
/
epochs
/
{epoch}
Get stake pool statistics for a specific epoch
curl --request GET \
  --url https://nexus.gerowallet.io/api/pools/{poolId}/epochs/{epoch} \
  --header 'Authorization: Bearer <token>'
{
  "epoch": 123,
  "pledge": "<string>",
  "cost": "<string>",
  "margin": 123,
  "relays": [
    {
      "ipv4": "<string>",
      "ipv6": "<string>",
      "dns": "<string>",
      "port": 123
    }
  ],
  "status": "<string>",
  "ros": 123,
  "extendedMetadata": "<unknown>",
  "pool_id": "<string>",
  "pool_hash": "<string>",
  "vrf_key_hash": "<string>",
  "reward_account": "<string>",
  "pool_owners": [
    "<string>"
  ],
  "metadata_url": "<string>",
  "metadata_hash": "<string>",
  "tx_hash": "<string>",
  "cert_index": 123,
  "retire_epoch": 123
}

Authorizations

Authorization
string
header
required

JWT Token Authentication

Path Parameters

poolId
string
required

Cardano stake pool identifier (accepts both bech32 and hex formats)

Minimum string length: 1
epoch
integer<int32>
required

Cardano epoch number

Required range: x >= 0

Query Parameters

network
enum<string>
Available options:
CARDANO_MAINNET,
CARDANO_PREPROD,
CARDANO_PREVIEW,
APEX_PRIME_MAINNET,
APEX_VECTOR_MAINNET,
APEX_VECTOR_TESTNET,
MIDNIGHT_MAINNET,
MIDNIGHT_PREPROD,
MIDNIGHT_PREVIEW,
BITCOIN_MAINNET,
BITCOIN_TESTNET4

Response

Successfully retrieved stake pool epoch data

epoch
integer<int32>
pledge
string
cost
string
margin
number
relays
object[]
status
string
ros
number<double>
extendedMetadata
any
pool_id
string
pool_hash
string
vrf_key_hash
string
reward_account
string
pool_owners
string[]
metadata_url
string
metadata_hash
string
tx_hash
string
cert_index
integer<int32>
retire_epoch
integer<int32>